nuget-to-nix: remove

This commit is contained in:
Jamie Magee
2025-08-27 18:28:54 -07:00
parent 7612e32479
commit d2201417a2
4 changed files with 3 additions and 106 deletions

View File

@@ -46,6 +46,8 @@
- The default Android NDK version has been raised to 27, and the default SDK version to 35.
NDK 21–26 have been removed, as they are end‐of‐life.
- `nuget-to-nix` has been removed as it was deprecated in favor of `nuget-to-json`. Out-of-tree packages that were using `nuget-to-nix` should migrate to use `nuget-to-json` instead for generating .NET dependency lock files.
- `conftest` since `0.60.0` has moved to use rego `v1` as default. To continue using `v0` use `--rego-version v0`. For more information about upgrading to Rego v1 syntax, see the [upstream docs](https://www.openpolicyagent.org/docs/latest/v0-upgrade/).
- Zig 0.12 has been removed.

View File

@@ -1,65 +0,0 @@
#!@runtimeShell@
# shellcheck shell=bash
set -euo pipefail
shopt -s nullglob
export SSL_CERT_FILE=@cacert@/etc/ssl/certs/ca-bundle.crt
export PATH="@binPath@:$PATH"
# used for glob ordering of package names
export LC_ALL=C
>&2 echo "WARNING: nuget-to-nix has deprecated in favor of nuget-to-json."
if [ $# -eq 0 ]; then
>&2 echo "Usage:"
>&2 echo " $0 <packages directory> [path to a file with a list of excluded packages] > deps.nix"
>&2 echo " $0 --convert deps.json > deps.nix"
exit 1
fi
jsonDeps=
if [ "$1" == "--convert" ]; then
if [ ! -e "$2" ]; then
echo "File not found."
exit 1
fi
if IFS='' read -r -d '' jsonDeps <"$2"; then
echo "Null bytes found in file." >&2
exit 1
fi
else
if ! jsonDeps=$(nuget-to-json "$@"); then
echo "nuget-to-json failed."
exit 1
fi
fi
# pkgs/by-name/az/azure-functions-core-tools/deps.json
IFS='' readarray -d '' depsParts < <(jq 'map([.pname, .version, .sha256, .hash, .url]) | flatten[]' --raw-output0 <<<"$jsonDeps")
index=0
echo '{ fetchNuGet }: ['
while [ "$index" -lt "${#depsParts[@]}" ]; do
pname="${depsParts[index]}"
version="${depsParts[++index]}"
sha256="${depsParts[++index]}"
hash="${depsParts[++index]}"
url="${depsParts[++index]}"
((++index)) # Go to next pname
echo -n " (fetchNuGet { pname = \"$pname\"; version = \"$version\"; "
if [ "$sha256" != null ]; then
echo -n "sha256 = \"$sha256\"; "
else
echo -n "hash = \"$hash\"; "
fi
if [ "$url" != "null" ]; then
echo -n "url = \"$url\"; "
fi
echo '})'
done
echo ']'

View File

@@ -1,41 +0,0 @@
{
lib,
runtimeShell,
replaceVarsWith,
nix,
coreutils,
jq,
xmlstarlet,
curl,
gnugrep,
gawk,
nuget-to-json,
cacert,
}:
replaceVarsWith {
name = "nuget-to-nix";
dir = "bin";
src = ./nuget-to-nix.sh;
isExecutable = true;
replacements = {
inherit runtimeShell cacert;
binPath = lib.makeBinPath [
nix
coreutils
jq
xmlstarlet
curl
gnugrep
gawk
nuget-to-json
];
};
meta = {
description = "Convert a nuget packages directory to a lockfile for buildDotnetModule";
mainProgram = "nuget-to-nix";
};
}

View File

@@ -1722,6 +1722,7 @@ mapAliases {
noto-fonts-emoji = noto-fonts-color-emoji; # Added 2023-09-09
noto-fonts-extra = noto-fonts; # Added 2023-04-08
NSPlist = nsplist; # Added 2024-01-05
nuget-to-nix = throw "nuget-to-nix has been removed as it was deprecated in favor of nuget-to-json. Please use nuget-to-json instead"; # Added 2025-08-28
nushellFull = lib.warnOnInstantiate "`nushellFull` has has been replaced by `nushell` as its features no longer exist" nushell; # Added 2024-05-30
nux = throw "nux has been removed because it has been abandoned for 4 years"; # Added 2025-03-22
nvidia-podman = throw "podman should use the Container Device Interface (CDI) instead. See https://web.archive.org/web/20240729183805/https://docs.nvidia.com/datacenter/cloud-native/container-toolkit/latest/install-guide.html#configuring-podman"; # Added 2024-08-02